<?php
	require $_SERVER["DOCUMENT_ROOT"].'/inc/conexao.php';
    require $_SERVER["DOCUMENT_ROOT"].'/inc/functions.php';

	// Recebe parâmetros GET
	$datetime = date('Y-m-d H:i:s');
	$urlbase = $_SERVER['SERVER_NAME'].$_SERVER ['REQUEST_URI'];
	$parts = parse_url($urlbase);
	parse_str($parts['query'], $query);
	$_GET = $query;
	if(isset($_SESSION["usuario"]["api_token"])){ $_GET["token"] = $_SESSION["usuario"]["api_token"]; }
	if(isset($_SESSION["usuario"]["id"])){ $userid = $_SESSION["usuario"]["id"]; } else { $userid = 0; }
	$token = $_GET["token"];
	$user = $_GET["user"];
	$balance = $_GET["balance"];

	// Verifica type e permissões
	if(!isset($_GET["token"])){ $ret['error'] = 'Token inexistente ou invalido.'; $ret['status'] = 'error'; $ret['status_code'] = 'notfoundtoken'; finishJSONRequest($ret); }
	if($token == ''){ $ret['error'] = 'Efetue login em sua conta primeiramente.'; $ret['status'] = 'error'; $ret['status_code'] = 'notfoundtoken'; finishJSONRequest($ret); }

	// Pesquisa usuário
	$sql = $mysqli->query("SELECT usuario_api_token, usuario_id, usuario_nome, usuario_gerente, usuario_telefone, usuario_tipo, usuario_status, usuario_limite_simples, usuario_limite_duplas, usuario_limite_geral, usuario_min_jogos, usuario_grade, usuario_aposta_minima, usuario_aposta_maxima, usuario_aovivo, usuario_credito, usuario_permissoes FROM usuarios WHERE usuario_api_token = '$token' OR usuario_id = '$user'");
	if(mysqli_num_rows($sql) == 0 || !isset($_GET["token"]) || $_GET["token"] == ''){ $ret['error'] = 'TOKEN invalido.'; $ret['status'] = 'error'; $ret['status_code'] = 'notfoundtype'; finishJSONRequest($ret); }

	// Pega dados do usuario
	$users = array();
	$perms = array();
	while($u = $sql->fetch_assoc()){
		$users[$u["usuario_id"]]['id'] = $u["usuario_id"];
		$users[$u["usuario_id"]]['name'] = utf8_encode($u["usuario_nome"]);
		$users[$u["usuario_id"]]['user_type'] = $u["usuario_tipo"];
		$users[$u["usuario_id"]]['manager'] = $u["usuario_gerente"];
		$users[$u["usuario_id"]]['phone'] = $u["usuario_telefone"];
		$users[$u["usuario_id"]]['status'] = $u["usuario_status"];
		$users[$u["usuario_id"]]['diary_limit_1'] = formataReal($u["usuario_limite_simples"]);
		$users[$u["usuario_id"]]['diary_limit_2'] = formataReal($u["usuario_limite_duplas"]);
		$users[$u["usuario_id"]]['diary_limit_general'] = formataReal($u["usuario_limite_geral"]);
		$users[$u["usuario_id"]]['min_matches'] = $u["usuario_min_jogos"];
		$users[$u["usuario_id"]]['comission_rate'] = $u["usuario_grade"];
		$users[$u["usuario_id"]]['min_price'] = formataReal($u["usuario_aposta_minima"]);
		$users[$u["usuario_id"]]['max_price'] = formataReal($u["usuario_aposta_maxima"]);
		$users[$u["usuario_id"]]['bet_live'] = $u["usuario_aovivo"];
		$users[$u["usuario_id"]]['credit'] = formataReal($u["usuario_credito"]);
		$users[$u["usuario_id"]]['permissions'] = explode('-', $u["usuario_permissoes"]);

		// ID de quem está cadastrando
		if($u["usuario_api_token"] == $token){
			$userid = $u["usuario_id"];
			$perms = $users[$u["usuario_id"]]['permissions'];
		}
	}

	// Confere se possui permissões
	if(!in_array('25', $perms) && (!in_array('2', $perms) || $users[$user]['manager'] <> $userid)){ $ret['error'] = 'Você não possui permissões suficientes para obter dados deste usuário. '; $ret['status'] = 'error'; $ret['status_code'] = 'invalidPerm'; finishJSONRequest($ret); }


	$ret['success'] = 'Pronto! Alterado com sucesso.';
	$ret['status'] = 'success';
	$ret['new_balance'] = $balance;
	$ret['user'] = $user;
	$ret['user_info'] = $users[$user];
	finishJSONRequest($ret);
?>